Bug 192746 - devel/p5-Test-Base update to 0.88
Summary: devel/p5-Test-Base update to 0.88
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-17 16:23 UTC by Sergei Vyshenski
Modified: 2014-11-18 15:53 UTC (History)
2 users (show)

See Also:


Attachments
patch for updating port (2.65 KB, patch)
2014-08-17 16:23 UTC, Sergei Vyshenski
no flags Details | Diff
log from poudriere (15.94 KB, text/plain)
2014-08-17 16:24 UTC, Sergei Vyshenski
no flags Details
patch for updating port (2.54 KB, patch)
2014-08-21 20:16 UTC, Sergei Vyshenski
no flags Details | Diff
log from poudriere (15.46 KB, text/plain)
2014-08-21 20:16 UTC, Sergei Vyshenski
no flags Details
patch for updating port (2.59 KB, patch)
2014-09-08 18:15 UTC, Sergei Vyshenski
no flags Details | Diff
log from poudriere (15.61 KB, text/plain)
2014-09-08 18:16 UTC, Sergei Vyshenski
no flags Details
log from poudriere at 10.0-amd64 (21.45 KB, text/plain)
2014-11-11 14:55 UTC, Sergei Vyshenski
no flags Details
log from poudriere at 9.3-amd64 (21.01 KB, text/plain)
2014-11-11 14:56 UTC, Sergei Vyshenski
no flags Details
log from poudriere at 8.4-amd64 (21.03 KB, text/plain)
2014-11-11 14:56 UTC, Sergei Vyshenski
no flags Details
patch for updating port (2.43 KB, patch)
2014-11-11 14:57 UTC, Sergei Vyshenski
no flags Details | Diff
patch for updating port (2.43 KB, patch)
2014-11-12 17:09 UTC, Sergei Vyshenski
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sergei Vyshenski 2014-08-17 16:23:44 UTC
Created attachment 145929 [details]
patch for updating port

- Update from 0.60 to 0.84
- Add BUILD_DEPENDS
- Can take maintainership if this can be of help

Tested on FreeBSD-10.0-amd64 (log attached) with:
poudriere testport -j 10-amd64 -o devel/p5-Test-Base > p5-Test-Base.log
Comment 1 Sergei Vyshenski 2014-08-17 16:24:05 UTC
Created attachment 145930 [details]
log from poudriere
Comment 2 John Marino freebsd_committer 2014-08-17 18:43:17 UTC
over to maintainer
Comment 3 Sergei Vyshenski 2014-08-21 20:16:01 UTC
Created attachment 146124 [details]
patch for updating port
Comment 4 Sergei Vyshenski 2014-08-21 20:16:20 UTC
Created attachment 146125 [details]
log from poudriere
Comment 5 Sergei Vyshenski 2014-08-21 20:18:03 UTC
- As time goes, we already have ver 0.87
   with essential bug fixed in ver 0.86.

I have just uploaded a new patch 
     for update 0.60 --> 0.87
and a new log from poudriere.
Comment 6 Sergei Vyshenski 2014-09-08 18:15:56 UTC
Created attachment 147074 [details]
patch for updating port

- We already have ver 0.88
- Adding LICENCE

Fresh version of this port is needed for smooth operation of my main 
port p5-openxpki as its direct/indirect/conditional dependency.

Uploading a new patch for update 0.60 --> 0.88
and a new log from poudriere.
Renaming this PR to ... 0.88
Comment 7 Sergei Vyshenski 2014-09-08 18:16:18 UTC
Created attachment 147075 [details]
log from poudriere
Comment 8 Sergei Vyshenski 2014-11-11 14:55:52 UTC
Created attachment 149288 [details]
log from poudriere at 10.0-amd64
Comment 9 Sergei Vyshenski 2014-11-11 14:56:16 UTC
Created attachment 149289 [details]
log from poudriere at 9.3-amd64
Comment 10 Sergei Vyshenski 2014-11-11 14:56:41 UTC
Created attachment 149290 [details]
log from poudriere at 8.4-amd64
Comment 11 Sergei Vyshenski 2014-11-11 14:57:50 UTC
Created attachment 149291 [details]
patch for updating port

- Update pkg-plist to latest rules.
Attaching a new patch and new logs from poudriere.
- During this testing, built-in perl tests were activated with
"pre-install: test" construct in the port's Makefile.
- "portlint -AC" just warns against non-empty $FreeBSD$ tag.
- Can take maintainership as this ports looks like abandoned.
Comment 12 Sergei Vyshenski 2014-11-12 17:09:50 UTC
Created attachment 149326 [details]
patch for updating port
Comment 13 Kurt Jaeger freebsd_committer 2014-11-18 11:00:45 UTC
Testing right now.
Comment 14 commit-hook freebsd_committer 2014-11-18 11:15:08 UTC
A commit references this bug:

Author: pi
Date: Tue Nov 18 11:14:28 UTC 2014
New revision: 372713
URL: https://svnweb.freebsd.org/changeset/ports/372713

Log:
  devel/p5-Test-Base: 0.60 -> 0.88

  http://cpansearch.perl.org/src/INGY/Test-Base-0.88/Changes

  PR:		192746
  Submitted by:	Sergei Vyshenski <svysh.fbsd@gmail.com>
  Approved by:	maintainer (timeout)

Changes:
  head/devel/p5-Test-Base/Makefile
  head/devel/p5-Test-Base/distinfo
  head/devel/p5-Test-Base/pkg-plist
Comment 15 Kurt Jaeger freebsd_committer 2014-11-18 11:18:49 UTC
Committed, thanks for your patience!
Comment 16 Sergei Vyshenski 2014-11-18 15:53:31 UTC
Thank you so much for taking care of this PR.